using Domain.Aggregates.Stores;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain.Aggregates.Products.Data;

public interface IProductRepository
{
    Task AddAsync(Product product);
    Task<List<Product>> GetAllAsync();
    Task<Product?> GetAsync(Guid productId);
    void Remove(Product product);
    Task SaveChangesAsync();
}